Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.logging.log4j
Class WLLog4jLogEvent

    java.lang.Object
      org.apache.log4j.spi.LoggingEvent
          weblogic.logging.log4j.WLLog4jLogEvent

All Implemented Interfaces:
  Externalizable, Serializable

    public class WLLog4jLogEvent

extends org.apache.log4j.spi.LoggingEvent
implements Externalizable

Defines the fields in the logging event which is passed on to all Appenders.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.log4j.spi.LoggingEvent
`categoryName, fqnOfCategoryClass, level, timeStamp`

Method Summary
`String` | `getDiagnosticContextId()` Gets the diagnostic context id associated with this log event.
`String` | `getFormattedDate()` Gets the formatted date string
`String` | `getId()`
`String` | `getLogMessage()`
`String` | `getMachineName()`
`String` | `getServerName()`
`int` | `getSeverity()`
`String` | `getSubsystem()`
`String` | `getThreadName()`
`ThrowableInfo` | `getThrowableInfo()`
`long` | `getTimestamp()`
`String` | `getTransactionId()`
`String` | `getUserId()`
`void` | `setThrowableInfo(ThrowableInfo thInfo)`
`String` | `toString()`

Methods inherited from class org.apache.log4j.spi.LoggingEvent
`getLevel, getLocationInformation, getLoggerName, getMDC, getMDCCopy, getMessage, getNDC, getRenderedMessage, getStartTime, getThrowableInformation, getThrowableStrRep`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.io.Externalizable
`readExternal, writeExternal`

Method Detail

### getFormattedDate

    public String getFormattedDate()

  Gets the formatted date string

  Returns:

### getId

    public String getId()

### getMachineName

    public String getMachineName()

### getServerName

    public String getServerName()

### getThreadName

    public String getThreadName()

  Overrides:
    `getThreadName` in class `org.apache.log4j.spi.LoggingEvent`

### getTransactionId

    public String getTransactionId()

### getUserId

    public String getUserId()

### getSeverity

    public int getSeverity()

### getSubsystem

    public String getSubsystem()

### getTimestamp

    public long getTimestamp()

### getThrowableInfo

    public ThrowableInfo getThrowableInfo()

### getLogMessage

    public String getLogMessage()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getDiagnosticContextId

    public String getDiagnosticContextId()

  Gets the diagnostic context id associated with this log event.

### setThrowableInfo

    public void setThrowableInfo(ThrowableInfo thInfo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD